﻿using XF.Domain.Repository;

namespace Hotline.Settings
{

    public interface ISystemOrganizeRepository: IRepository<SystemOrganize>
    {
        Task<IReadOnlyList<SystemOrganize>> GetOrgJson();

        Task<IReadOnlyList<SystemOrganize>> GetCanUseOrg();

        Task<IReadOnlyList<SystemOrganize>> GetCanUseOrgByUser();

        //Task<string> GetNewOrgCode(string? parentId);
    }
}
